<?php
/* skillate search Result. */
define('WP_USE_THEMES', false);
$parse_uri = explode('wp-content', $_SERVER['SCRIPT_FILENAME']);
$wp_load = $parse_uri[0] . 'wp-load.php';
require_once($wp_load);

$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

if (isset($_POST['data_level']) || isset($_POST['data_category']) || isset($_POST['data_price']) || isset($_POST['data_language'])) {

    # Course Level
    if (!empty($_POST['data_level'])) {
        $selected_level = $_POST['data_level'];
    }
    $course_level_filter = !empty($selected_level) ? array(
        'key'       => '_tutor_course_level',
        'value'     => $selected_level,
        'compare'   => '='
    ) : array();


    # Course Price
    if (!empty($_POST['data_price'])) {
        $selected_price = $_POST['data_price'];
    }
    $course_price_filter = !empty($selected_price) ? array(
        'key'       => '_tutor_course_price_type',
        'value'     => $selected_price,
        'compare'   => '='
    ) : array();


    # Category
    $data_category = $data_language = array();
    if (isset($_POST['data_category']) && !empty($_POST['data_category'])) {
        $data_category = $_POST['data_category'];
    }

    # Language
    if (!empty($_POST['data_language'])) {
        $data_language = $_POST['data_language'];
    }
}


$args = array(
    'post_type'         => tutor()->course_post_type,
    'post_status'       => 'publish',
    'paged'             => $paged,
    'posts_per_page'    => -1,
);


if (!empty($course_level_filter)) {
    $args['meta_query']['relation'] = 'AND';
    $args['meta_query'][] = $course_level_filter;
}

if (!empty($course_price_filter)) {
    $args['meta_query'][] = $course_price_filter;
}


if (!empty($data_category)) {
    $args['tax_query']['relation'] = 'OR';
    $args['tax_query'][] = array(
        'taxonomy' => 'course-category',
        'field'    => 'slug',
        'terms'    => $data_category,
        'operator' => !empty($data_category) ? 'IN' : ''
    );
}

if (!empty($data_language)) {
    $args['tax_query']['relation'] = 'OR';
    $args['tax_query'][] = array(
        'taxonomy' => 'course-language',
        'field'    => 'slug',
        'terms'    => $data_language,
        'operator' => 'IN'
    );
}

?>



<div class="skillate-courses-wrap skillate-courses-list successfully">
    <?php
    $search_data = new WP_Query($args);
    $i = 0;
    $max_new_post = get_theme_mod('new_course_count', 5);
    if ($search_data->have_posts()) {
        while ($search_data->have_posts()) {
            $i++;
            $search_data->the_post();
            $idd = get_the_ID();
            $best_selling = get_post_meta($idd, 'skillate_best_selling', true);

            global $authordata;
            $profile_url = tutor_utils()->profile_url($authordata->ID);

            $tutor_course_img = get_tutor_course_thumbnail_src();
            $placeholder_img = tutor()->url . 'assets/images/placeholder.svg';
            ?>
            <div class="row skillate-course-col align-items-lg-center">
                <div class="col-lg-4 col-sm-12">
                    <div class="skillate-course-media mb-lg-0 mb-4">
                        <div class="tutor-ratio tutor-ratio-1x1">
                            <img class="tutor-card-image-top" src="<?php echo empty(esc_url($tutor_course_img)) ? $placeholder_img : esc_url($tutor_course_img) ?>" alt="<?php the_title(); ?>" loading="lazy" />
                        </div>

                        <div class="tutor-course-bookmark">
                            <?php 
                            
                                $course_id = get_the_ID();
                                $is_wish_listed = tutor_utils()->is_wishlisted( $idd );
                                
                                $action_class = '';
                                if ( is_user_logged_in() ) {
                                    $action_class = apply_filters('tutor_wishlist_btn_class', 'tutor-course-wishlist-btn');
                                } else {
                                    $action_class = apply_filters('tutor_popup_login_class', 'tutor-open-login-modal');
                                }
                                
                            ?>
                                
                                <a href="javascript:;" class=" <?php echo esc_attr( $action_class )?> save-bookmark-btn tutor-iconic-btn tutor-iconic-btn-light" data-course-id="<?php echo esc_attr( $idd )?> ">
                                    <i class="<?php echo $is_wish_listed ? 'tutor-icon-bookmark-bold' : 'tutor-icon-bookmark-line'?>"></i>
                                </a>
                        </div>
                        <div class="course-media-hover">
                            <a class="btn btn-classic btn-no-fill" href="<?php the_permalink(); ?>">
                                <?php echo _e( 'View Course', 'skillate' ); ?>
                            </a>
                            <div class="skillate-course-enroll-btn">
                                <?php
                                $course_id = get_the_ID();
                                $enrolled = tutor_utils()->is_enrolled( get_the_ID());

                                $is_administrator      = tutor_utils()->has_user_role( 'administrator' );
                                $is_instructor         = tutor_utils()->is_instructor_of_this_course();
                                $course_content_access = (bool) get_tutor_option( 'course_content_access_for_ia' );
                                $is_privileged_user    = $course_content_access && ( $is_administrator || $is_instructor );
                                $is_public             = get_post_meta( get_the_ID(), '_tutor_is_public_course', true ) == 'yes';
                                $lesson_url = tutor_utils()->get_course_first_lesson();
                                $first_lesson_url = $lesson_url ? tutor_utils()->get_course_first_lesson( $course_id, tutor()->lesson_post_type ) : get_the_permalink();

                                if($is_privileged_user || $is_public){
                                    $enroll_btn = '<a class="btn btn-classic btn-no-fill tutor-mt-8" href="' . esc_url( $first_lesson_url ) . '">'. __( 'Start Learning', 'skillate' ) . '</a>';

                                }else{
                                    if ( tutor_utils()->is_course_purchasable( $course_id ) && !$enrolled ) {
                                        $enroll_btn = tutor_course_loop_add_to_cart( false );
                                        $product_id = tutor_utils()->get_course_product_id( $course_id );
                                    } else {
                                        if ( tutor_utils()->is_enrolled( $course_id )) {
                                            $enroll_btn = '<a class="btn btn-classic btn-no-fill tutor-mt-8" href="' . get_the_permalink() . '">'. __( 'Enrolled', 'skillate' ) . '</a>';
                                        } else {
                                            $enroll_btn = '<a class="btn btn-classic btn-no-fill tutor-mt-8" href="' . get_the_permalink() . '">'. __( 'Enroll Now', 'skillate' ) . '</a>';
                                        }
                                        $price_html = $enroll_btn;
                                    }
                                }
                                
                                $price_html = $enroll_btn;
                                echo $price_html;
                                ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-5 col-sm-8 order-2 order-sm-1">
                    <div class="skillate-course-body mb-sm-0 mb-3">
                        <?php if ($best_selling == !false) { ?>
                            <span class="best-sell-tag">
                                <?php echo esc_html__('Featured', 'skillate'); ?>
                            </span>
                        <?php } else if ($i <= $max_new_post) { ?>
                            <span class="best-sell-tag new-tag">
                                <?php echo esc_html__('New', 'skillate'); ?>
                            </span>
                        <?php } ?>
                        <h3>
                            <a href="<?php the_permalink(); ?>">
                                <?php echo get_the_title(); ?>
                            </a>
                        </h3>
                        <div class="course-archive-single-meta">
                            <?php echo get_tutor_course_level() ? '<span>' . esc_html(get_tutor_course_level()) . '</span>' : null; ?>
                            <?php
                            echo get_tutor_course_duration_context_skillate() ? '<span>' . esc_html(get_tutor_course_duration_context_skillate()) . '</span>' : null;
                            ?>
                            <?php $skillate_pro_tutor_lesson_count = tutor_utils()->get_lesson_count_by_course(get_the_ID());
                            if ($skillate_pro_tutor_lesson_count) { ?>
                                <span>
                                    <?php echo esc_html($skillate_pro_tutor_lesson_count); ?>
                                    <?php echo esc_html__('Lesson', 'skillate'); ?>
                                </span>
                            <?php } ?>
                        </div>

                        <?php
                            global $post;
                            $author_id = $post->post_author;
                            $profile_url = tutor_utils()->profile_url( $author_id );
                        ?>
                        <div class="tutor-meta course-archive-author">
                            <a href="<?php echo $profile_url; ?>" class="tutor-d-flex">
                                <?php echo tutor_utils()->get_tutor_avatar( $author_id, 'sm' ); ?>
                            </a>
                            <a class="tutor-meta-value" href="<?php echo $profile_url; ?>"><?php esc_html_e(get_the_author()); ?></a>
                        </div>

                    </div>
                </div>

                <div class="col-lg-3 col-sm-4 order-1 order-sm-2">
                    <div class="text-sm-right ">
                        <div class="course-single-price course-archive-price mb-lg-3 mb-0">
                            <?php tutor_course_price(); ?>
                        </div>
                        <div class="tutor-single-course-rating">
                            <?php
                            $skillate_course_rating = tutor_utils()->get_course_rating();
                            tutor_utils()->star_rating_generator($skillate_course_rating->rating_avg);
                            $product_id = tutor_utils()->get_course_product_id();
                            ?>
                            <p class="tutor-single-rating-count">
                                ( <span><?php echo esc_attr($skillate_course_rating->rating_count); ?></span>
                                <?php
                                if ($skillate_course_rating->rating_count > 1) {
                                    echo esc_html__('Reviews', 'skillate');
                                } else {
                                    echo esc_html__('Review', 'skillate');
                                }
                                ?> )
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        <?php }
    } else { ?>

        <div class="col-12">
            <?php
            echo "<h2>" . __('Nothing found!', 'skillate') . "</h2>";
            echo "<div>" . __('Sorry, but nothing matched your search terms. Please try again with different terms.', 'skillate') . "</div>";
            ?>
        </div>

    <?php
    }
    ?>
</div>
