<?php
	global $post;
	$cat_list  = array();
	$cat_items = wp_get_post_terms( get_the_ID(), 'course-category', array( 'fields' => 'all' ) );
foreach ( $cat_items as $cat_item ) {
	$cat_list[] = $cat_item->term_id;
}
	$tag_list  = array();
	$tag_items = wp_get_post_terms( get_the_ID(), 'course-tag', array( 'fields' => 'all' ) );
foreach ( $tag_items as $tag_item ) {
	$tag_list[] = $tag_item->term_id;
}
	$course_args                   = array(
		'post_type'    => 'courses',
		'post_status'  => 'publish',
		'post__not_in' => array( $post->ID ),
	);
	$course_args['posts_per_page'] = get_theme_mod( 'related_course_slider_total_item', 20 );
	$course_args['tax_query']      = array(
		'relation' => 'OR',
		array(
			'taxonomy' => 'course-category',
			'field'    => 'term_id',
			'terms'    => $cat_list,
		),
		array(
			'taxonomy' => 'course-tag',
			'field'    => 'term_id',
			'terms'    => $tag_list,
		),
	);
	$related_posts                 = get_posts( $course_args );
	$i                             = 0;
	$max_new_post                  = get_theme_mod( 'new_course_count', 5 );
	$related_course_title          = get_theme_mod( 'related_course_title', 'More Courses to get <b>You Started</b>' );
	$slide_opacity_en              = get_theme_mod( 'slider_opacity_en', true ) ? '' : ' opacity-disable';

	$output          = '';
	$output         .= '<div class="skillate-related-course skillate-slider-section-single-course">';
		$output     .= '<div class="container">';
			$output .= '<h3 class="course-related-title">' . __( $related_course_title, 'skillate' ) . '</h3>';
		$output     .= '</div>';
		$output     .= '<div dir="rtl" data-columns="7" class="skillate-related-course-items skillate-related-course-slide ' . esc_attr( $slide_opacity_en ) . '">';
	foreach ( $related_posts as $related_post ) {

		$i++;
		setup_postdata( $related_post );
		$is_public    = get_post_meta( $related_post->ID, '_tutor_is_public_course', true ) == 'yes';
		$best_selling = get_post_meta( $related_post->ID, 'skillate_best_selling', true );
		$price        = apply_filters( 'get_tutor_course_price', null, $related_post->ID );
		$src          = wp_get_attachment_image_src( get_post_thumbnail_id( $related_post->ID ), 'skillate-medium' );

		$output         .= '<div class="tutor-course-grid-item">';
			$output     .= '<div class="tutor-course-grid-content">';
				$output .= '<div class="tutor-course-overlay">';

		if ( $best_selling == ! false ) {
			$output .= '<span class="best-sell-tag">';
			$output .= __( 'Featured', 'skillate' );
			$output .= '</span>';
		} elseif ( $i <= $max_new_post ) {
				$output     .= '<span class="best-sell-tag new-tag">';
					$output .= __( 'New', 'skillate' );
				$output     .= '</span>';
		}

					$output .= '<div class="course-related-price">';
						ob_start();
		if ( $price == ! null && ! $is_public ) {
			$output .= $price;
		} elseif ( $is_public ) {
			$output .= '<span class="woocommerce-Price-amount amount">' . esc_html__( 'Public', 'skillate' ) . '</span>';
		} else {
			$output .= '<span class="woocommerce-Price-amount amount">' . esc_html__( 'Free', 'skillate' ) . '</span>';
		}

						$output .= ob_get_clean();
					$output     .= '</div>';
		if ( ! empty( $src[0] ) ) {
			$output .= '<img src=" ' . $src[0] . ' " class="img-responsive">'; }

					$output                .= '<div class="tutor-course-grid-level-wishlist">';
						$output            .= '<div class="tutor-course-bookmark">';
							$course_id      = $related_post->ID;
							$is_wish_listed = tutor_utils()->is_wishlisted( $related_post->ID );

							$action_class = '';
		if ( is_user_logged_in() ) {
				$action_class = apply_filters( 'tutor_wishlist_btn_class', 'tutor-course-wishlist-btn' );
		} else {
					$action_class = apply_filters( 'tutor_popup_login_class', 'tutor-open-login-modal' );
		}

										$output .= '<a href="javascript:;" class="' . esc_attr( $action_class ) . ' save-bookmark-btn tutor-iconic-btn tutor-iconic-btn-light" data-course-id="' . esc_attr( $course_id ) . '">
                                        <i class="' . ( $is_wish_listed ? 'tutor-icon-bookmark-bold 00000000' : 'tutor-icon-bookmark-line 11111111' ) . '"></i>
                                    </a>';
										$output .= '</div>';
										$output .= '</div>';// tutor-course-grid-level-wishlist
										$output .= '<div class="tutor-course-grid-enroll">';
										$output .= '<div class="course-related-hover-price">';
										ob_start();
		if ( $price == ! null && ! $is_public ) {
			$output .= $price;
		} elseif ( $is_public ) {
			$output .= '<span class="woocommerce-Price-amount amount">' . esc_html__( 'Public', 'skillate' ) . '</span>';
		} else {
			$output .= '<span class="woocommerce-Price-amount amount">' . esc_html__( 'Free', 'skillate' ) . '</span>';
		}
										$output .= ob_get_clean();
										$output .= '</div>';
										$output .= '<div class="tutor-course-grid-meta"><span class="tutor-course-grid-level">' . get_tutor_course_level( $related_post->ID ) . '</span>';
										$output .= '<span class="tutor-course-duration">' . get_tutor_course_duration_context_skillate() . '</span></div>';


		if ( tutor_utils()->is_course_purchasable( $related_post->ID ) ) {
			$product_id = tutor_utils()->get_course_product_id( $related_post->ID );
			$product    = wc_get_product( $product_id );
			if ( $is_public ) {
				$output .= '<a href="' . esc_url( get_the_permalink( $related_post->ID ) ) . '" class="btn btn-classic btn-no-fill">' . __( 'Start Learning', 'skillate' ) . '</a>';
			} else {
				$output .= '<form class="cart" action="' . wc_get_checkout_url() . '" method="post" enctype="multipart/form-data"><button type="submit" name="add-to-cart" value="' . esc_attr( $product_id ) . '" class="tutor-btn tutor-btn-outline-primary course-buy-now ">' . __( 'Buy Now', 'skillate' ) . '</button></form>';
			}
		} else {
			if ( tutor_utils()->is_enrolled( $related_post->ID ) ) {
				$output .= '<a href="' . esc_url( get_the_permalink( $related_post->ID ) ) . '" class="btn btn-classic btn-no-fill">' . __( 'Enrolled', 'skillate' ) . '</a>';
			} else {
				$output .= '<a href="' . esc_url( get_the_permalink( $related_post->ID ) ) . '" class="btn btn-classic btn-no-fill">' . __( 'Enroll Now', 'skillate' ) . '</a>';
			}
		}
										$output .= '</div>';
										$output .= '</div>';// tutor-course-overlay
										$output .= '<h4 class="tutor-courses-grid-title"><a href="' . esc_url( get_the_permalink( $related_post->ID ) ) . '">' . get_the_title( $related_post->ID ) . '</a></h4>';
										$output .= '</div>';// tutor-course-grid-content
										$output .= '</div>';// tutor-course-grid-item
	}
		$output .= '</div>';// thm-grid-items
		wp_reset_query();
	$output .= '</div>';// thm-grid-items
	echo $output;

	if ( ! is_user_logged_in() ) {
		tutor_load_template_from_custom_path( tutor()->path . '/views/modal/login.php' );
	}
