<?php

/**
 * Template for displaying single course
 *
 * @since v.1.0.0
 *
 * @author Themeum
 * @url https://themeum.com
 */

use Tutor\Models\CourseModel;

?>
<?php
get_header();
global $post;
$idd         = get_the_ID();
$user_id     = get_current_user_id();
$is_enrolled = tutor_utils()->is_enrolled();

$is_announcement_enabled = tutor_utils()->get_option( 'enable_course_announcements' );
$is_benefits_enabled     = tutor_utils()->get_option( 'enable_course_benefits' );
$is_instructor_enabled   = tutor_utils()->get_option( 'display_course_instructors' );
$is_qna_enabled          = tutor_utils()->get_option( 'enable_q_and_a_on_course' );
$is_audience_enabled     = tutor_utils()->get_option( 'enable_course_target_audience' );
$is_requirement_enabled  = tutor_utils()->get_option( 'enable_course_requirements' );
$is_review_enabled       = tutor_utils()->get_option( 'enable_course_review' );
$is_materials_enabled    = tutor_utils()->get_option( 'enable_course_material' );
$completion_mode     = tutor_utils()->get_option( 'course_completion_process' );
$is_completed_course           = tutor_utils()->is_completed_course();
$is_completed                  = tutor_utils()->is_completed_course( $idd, $user_id );
$lesson_url                    = tutor_utils()->get_course_first_lesson();
$course_details_best_sell_tag  = get_theme_mod( 'course_details_best_sell_tag', true );
$course_details_rating         = get_theme_mod( 'course_details_rating', true );
$single_course_tab_sticky_menu = get_theme_mod( 'single_course_tab_sticky_menu', true );
$is_purchasable                = tutor_utils()->is_course_purchasable();
$is_privileged_user            = tutor_utils()->has_user_course_content_access();
$max_new_post                  = get_theme_mod( 'new_course_count', 5 );
$rcp_en_class                  = '';
$retake_course                 = tutor_utils()->can_user_retake_course();
$course_id                     = get_the_ID();
$completed_percent             = tutor_utils()->get_course_completed_percent();
$course_progress               = tutor_utils()->get_course_completed_percent( $course_id, 0, true );
$isLoggedIn                    = is_user_logged_in();
$enable_guest_course_cart      = tutor_utils()->get_option( 'enable_guest_course_cart' );
$is_public                     = get_post_meta( get_the_ID(), '_tutor_is_public_course', true ) == 'yes';
$required_loggedin_class       = '';
if ( ! $isLoggedIn && ! $enable_guest_course_cart ) {
	$required_loggedin_class = apply_filters( 'tutor_enroll_required_login_class', 'tutor-open-login-modal' );
}
$can_complete_course   = CourseModel::can_complete_course( $course_id, $user_id );
$monetize_by = get_tutor_option( 'monetize_by' );

if ( function_exists( 'tutor' ) && tutor()->course_post_type === get_post_type( $idd ) ) {
	$student_must_login_to_view_course = (int) tutor_utils()->get_option( 'student_must_login_to_view_course' );
	$is_public                         = \TUTOR\Course_List::is_public( $idd );
	if ( ! is_user_logged_in() && ! $is_public && $student_must_login_to_view_course ) {
		tutor_load_template( 'login' );
		return;
	}
}


$total_posts = get_posts(
	array(
		'numberposts' => $max_new_post,
		'post_status' => 'publish',
		'post_type'   => 'courses',
	)
);
$post_array  = array();
foreach ( $total_posts as $total_post ) {
	$post_array[] += $total_post->ID;
}
?>


<?php do_action( 'tutor_course/single/before/wrap' ); ?>
<div <?php tutor_post_class( 'tutor-full-width-course-top tutor-course-top-info tutor-page-wrap' ); ?>>
	<div class="course-single-mobile d-lg-none">
		<div class="container">
			<div class="row">
				<div class="col-10">
					<div class="tutor-single-course-rating d-block">
						
						<?php
						$skillate_course_rating = tutor_utils()->get_course_rating();
						tutor_utils()->star_rating_generator( $skillate_course_rating->rating_avg );

						$product_id = tutor_utils()->get_course_product_id();
						if ( class_exists( 'woocommerce' ) ) {
							$product = wc_get_product( $product_id );
						}
						?>
						<p class="tutor-single-rating-count d-inline-block">
							( <span><?php echo esc_attr( $skillate_course_rating->rating_count ); ?></span>
							<?php
							if ( $skillate_course_rating->rating_count > 1 ) {
								echo esc_html__( 'Reviews', 'skillate' );
							} else {
								echo esc_html__( 'Review', 'skillate' );
							}
							?>
							 )
						</p>
					</div>
				</div>
				<div class="col-2 text-right">
					<div class="tutor-course-bookmark">
						<?php
						$course_id      = get_the_ID();
						$is_wish_listed = tutor_utils()->is_wishlisted( $course_id );

						$login_url_attr = '';
						$action_class   = '';

						if ( is_user_logged_in() ) {
							$action_class = apply_filters( 'tutor_wishlist_btn_class', 'tutor-course-wishlist-btn' );
						} else {
							$action_class = apply_filters( 'tutor_popup_login_class', 'tutor-open-login-modal' );

							if ( ! tutor_utils()->get_option( 'enable_tutor_native_login', null, true, true ) ) {
								$login_url_attr = 'data-login_url="' . esc_url( wp_login_url() ) . '"';
							}
						}

							echo '<a href="javascript:;" ' . $login_url_attr . ' class="' . esc_attr( $action_class ) . ' save-bookmark-btn tutor-iconic-btn tutor-iconic-btn-secondary" data-course-id="' . esc_attr( $course_id ) . '">
                                <i class="' . ( $is_wish_listed ? 'tutor-icon-bookmark-bold' : 'tutor-icon-bookmark-line' ) . '"></i>
                            </a>';
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="container course-single-title-top mb-sm-2">
		<div class="row">
			<div class="col-md-8 col-11 mb-sm-2">
				<?php
				if ( $course_details_best_sell_tag ) :
					$best_selling = get_post_meta( get_the_ID(), 'skillate_best_selling', true );
					if ( $best_selling == ! false ) {
						?>
						<span class="best-sell-tag d-none d-lg-block">
							<?php echo esc_html__( 'Featured', 'skillate' ); ?>
						</span>
					<?php } elseif ( get_the_ID() == in_array( get_the_ID(), $post_array ) ) { ?>
						<span class="best-sell-tag new-tag d-none d-lg-block">
							<?php echo esc_html__( 'New', 'skillate' ); ?>
						</span>
						<?php
					}
				endif;
				?>
				<h1 class="tutor-course-header-h1">
					<?php the_title(); ?>
				</h1>
			</div>
			<div class="col-md-4 ml-auto text-md-right d-none d-lg-block">
				<div class="course-single-price mt-4">
					<?php
					if ( ! $is_public ) {
						tutor_course_price();
					}
					?>
				</div>
				<?php
				if ( $course_details_rating ) :
					?>
					<div class="tutor-single-course-rating d-sm-inline-block">
						<?php
						$skillate_course_rating = tutor_utils()->get_course_rating();
						tutor_utils()->star_rating_generator( $skillate_course_rating->rating_avg );
						$product_id = tutor_utils()->get_course_product_id();
						if ( class_exists( 'woocommerce' ) ) {
							$product = wc_get_product( $product_id );
						}
						?>
						<p class="tutor-single-rating-count">
							( <span><?php echo esc_attr( $skillate_course_rating->rating_count ); ?></span>
							<?php
							if ( $skillate_course_rating->rating_count > 1 ) {
								echo esc_html__( 'Reviews', 'skillate' );
							} else {
								echo esc_html__( 'Review', 'skillate' );
							}
							?>
							 )
						</p>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<div class="container">
		<?php do_action( 'tutor_course/single/lead_meta/after' ); ?>
	</div>
	<div class="container course-single-attribute">
		<div class="row align-items-lg-center">
			<?php
			if ( ! empty( get_tutor_course_level() ) ) {
				$disable_course_level = get_tutor_option( 'disable_course_level' );
				if ( ! $disable_course_level ) {
					?>
					<div class="col-lg-2 col-4 mb-sm-0 mb-1">
						<div class="course-attribute-single">
							<span><?php echo esc_html__( 'Course Level', 'skillate' ); ?></span>
							<h3><?php echo esc_html( get_tutor_course_level() ); ?></h3>
						</div>
					</div>
					<?php
				}
			}
			?>

			<?php
			$course_duration = get_tutor_course_duration_context_skillate();
			if ( ! empty( $course_duration ) ) {
				?>
				<div class="col-lg-2 col-4 mb-sm-0 mb-1">
					<div class="course-attribute-single">
						<span><?php echo esc_html__( 'Total Hour', 'skillate' ); ?></span>
						<h3 class="duration">
							<?php echo $course_duration; ?>
						</h3>
					</div>
				</div>
			<?php } ?>

			<?php
			$skillate_pro_tutor_lesson_count = tutor_utils()->get_lesson_count_by_course( get_the_ID() );
			if ( $skillate_pro_tutor_lesson_count ) {
				?>
				<div class="col-lg-2 col-4 mb-sm-0 mb-1">
					<div class="course-attribute-single">
						<span><?php echo esc_html__( 'Video Tutorials', 'skillate' ); ?></span>
						<h3><?php echo esc_html( $skillate_pro_tutor_lesson_count ); ?></h3>
					</div>
				</div>
			<?php } ?>
			<?php if ( ! $is_enrolled && $monetize_by != 'pmpro' ) { ?>
				<div class="col-lg-6 col-sm-12 ml-auto d-none d-lg-block text-left text-lg-right mt-lg-0 mt-3">
					<?php
					$is_wishlisted = tutor_utils()->is_wishlisted( $idd );
					$has_wish_list = '';
					if ( $is_wishlisted ) {
						$has_wish_list = 'has-wish-listed';
					}

					$rcp_en_class = class_exists( 'RCP_Requirements_Check' ) ? 'rcp-exits' : '';

					?>
					<?php if ( $is_purchasable && ! $is_public ) { ?>
						<div class="skillate-course-cart-btn d-lg-flex align-items-center justify-content-end <?php echo esc_attr( $rcp_en_class ); ?>">
							<div class="tutor-course-bookmark">
								<?php
								$course_id      = get_the_ID();
								$is_wish_listed = tutor_utils()->is_wishlisted( $course_id );

								$login_url_attr = '';
								$action_class   = '';

								if ( is_user_logged_in() ) {
									$action_class = apply_filters( 'tutor_wishlist_btn_class', 'tutor-course-wishlist-btn' );
								} else {
									$action_class = apply_filters( 'tutor_popup_login_class', 'tutor-open-login-modal' );

									if ( ! tutor_utils()->get_option( 'enable_tutor_native_login', null, true, true ) ) {
										$login_url_attr = 'data-login_url="' . esc_url( wp_login_url() ) . '"';
									}
								}

									echo '<a href="javascript:;" ' . $login_url_attr . ' class="' . esc_attr( $action_class ) . ' save-bookmark-btn tutor-iconic-btn tutor-iconic-btn-secondary" data-course-id="' . esc_attr( $course_id ) . '">
                                        <i class="' . ( $is_wish_listed ? 'tutor-icon-bookmark-bold' : 'tutor-icon-bookmark-line' ) . '"></i>
                                    </a>';
								?>
							</div>
							<div>
								<?php
								if ( $is_privileged_user ) :
									$first_lesson_url = tutor_utils()->get_course_first_lesson( get_the_ID(), tutor()->lesson_post_type );
									if ( ! $first_lesson_url ) {
										$first_lesson_url = tutor_utils()->get_course_first_lesson( get_the_ID() );
									}
									?>
									<a href="<?php echo esc_url( $first_lesson_url ); ?>" class="tutor-btn tutor-btn-primary tutor-btn-lg tutor-btn-block tutor-ml-20">
										<?php esc_html_e( 'Start Learning', 'skillate' ); ?>
									</a>
									<?php
								endif;
								?>
							</div>
							<?php
							$product_id = tutor_utils()->get_course_product_id();
							if ( class_exists( 'woocommerce' ) ) {
								$product = wc_get_product( $product_id );
							}
							if ( ! class_exists( 'Easy_Digital_Downloads' ) && class_exists( 'woocommerce' ) && tutor_utils()->is_course_purchasable() && ! $is_privileged_user ) {
								?>
								<form class="cart" action="<?php echo wc_get_checkout_url(); ?>" method="post" enctype='multipart/form-data'>
									<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" class="tutor-btn tutor-btn-outline-primary tutor-ml-20 course-buy-now "> <?php echo esc_html__( 'Buy Now', 'skillate' ); ?>
									</button>
								</form>
								<?php
							}
							if ( tutor_utils()->is_course_added_to_cart( $product_id, true ) ) {
								?>
								<a href="<?php echo wc_get_cart_url(); ?>" class="tutor-btn tutor-btn-primary tutor-btn-lg tutor-add-to-cart-button tutor-ml-20">
									<span class="tutor-icon-cart-line tutor-mr-8"></span>
									<span><?php _e( 'View Cart', 'skillate' ); ?></span>
								</a>
								<?php
							} elseif ( ! $is_privileged_user ) {
								?>
								<form action="<?php echo esc_url( apply_filters( 'tutor_course_add_to_cart_form_action', get_permalink( get_the_ID() ) ) ); ?>" method="post" enctype="multipart/form-data">
									<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" class="tutor-btn tutor-btn-primary tutor-btn-lg tutor-ml-20 tutor-add-to-cart-button <?php echo $required_loggedin_class; ?>">
										<span class="tutor-icon-cart-line tutor-mr-8"></span>
										<span><?php echo esc_html( $product->single_add_to_cart_text() ); ?></span>
									</button>
								</form>
								<?php
							}
							?>

						</div>
				</div>
						<?php
					} elseif ( $is_public ) {
						// Get the first content url
						$first_lesson_url                       = tutor_utils()->get_course_first_lesson( get_the_ID(), tutor()->lesson_post_type );
						! $first_lesson_url ? $first_lesson_url = tutor_utils()->get_course_first_lesson( get_the_ID() ) : 0;
						ob_start();
						?>
							<a href="<?php echo esc_url( $first_lesson_url ); ?>" class="tutor-btn tutor-btn-primary tutor-btn-lg">
								<?php esc_html_e( 'Start Learning', 'skillate' ); ?>
							</a>
						<?php
							echo apply_filters( 'tutor/course/single/entry-box/is_public', ob_get_clean(), get_the_ID() );
					} else {
						?>

				<div class="skillate-course-cart-btn d-lg-block <?php echo esc_attr( $rcp_en_class ); ?>">
					<div>
						<?php
						if ( $is_privileged_user ) :
							$first_lesson_url = tutor_utils()->get_course_first_lesson( get_the_ID(), tutor()->lesson_post_type );
							if ( ! $first_lesson_url ) {
								$first_lesson_url = tutor_utils()->get_course_first_lesson( get_the_ID() );
							}
							?>
							<a href="<?php echo esc_url( $first_lesson_url ); ?>" class="tutor-btn tutor-btn-primary tutor-btn-lg tutor-ml-20">
								<?php esc_html_e( 'Start Learning', 'skillate' ); ?>
							</a>
							<?php
							endif;
						?>
					</div>
						<?php if ( ! is_user_logged_in() && ! $is_privileged_user ) { ?>
						<form class="tutor-enrol-course-form" method="post">
							<?php wp_nonce_field( tutor()->nonce_action, tutor()->nonce ); ?>
							<input type="hidden" name="tutor_course_id" value="<?php echo esc_attr( get_the_ID() ); ?>">
							<input type="hidden" name="tutor_course_action" value="_tutor_course_enroll_now">
							<a type="submit" class="button product_type_simple tutor-btn" data-toggle="modal" href="
							<?php
							if ( ! is_user_logged_in() ) {
																														echo '#modal-login';
							}
							?>
																													">
								<?php esc_html_e( 'Enroll Course', 'skillate' ); ?>
							</a>
						</form>
					<?php } ?>
						<?php if ( is_user_logged_in() && ! $is_privileged_user ) { ?>
						<form class="tutor-enrol-course-form" method="post">
							<?php wp_nonce_field( tutor()->nonce_action, tutor()->nonce ); ?>
							<input type="hidden" name="tutor_course_id" value="<?php echo esc_attr( get_the_ID() ); ?>">
							<input type="hidden" name="tutor_course_action" value="_tutor_course_enroll_now">
							<button type="submit" class="button product_type_simple tutor-btn tutor-enroll-course-button">
								<?php esc_html_e( 'Enroll Course', 'skillate' ); ?>
							</button>
						</form>
					<?php } ?>
				</div>
				<?php } ?>
		</div>
	<?php } ?>
	<?php if ( $is_enrolled ) { ?>
		<div class="col-lg-6 col-sm-12 ml-auto text-left d-none d-lg-block text-lg-right mt-lg-0 mt-3">
			<div class="skillate-course-cart-btn enrolled tutor-mb-md-0 tutor-mb-24">

				<?php
				$start_content = '';
				if ( $lesson_url ) {
						$start_content = ob_start();
						/**
					 * Course retake button.
					 *
					 * Todo: `href` attribute is exist for backward compatibility.
					 *       we need to make it `data-link` attribute and update the js code at course-landing.js
					 *
					 * @since 1.0.0
					 * @since 2.4.0 refactored and hide it when strict mode enabled and course not completed.
					 */
					if ( $retake_course && ( CourseModel::MODE_FLEXIBLE === $completion_mode || $is_completed_course ) ) {
						?>
						<button type="button" 
								class="tutor-btn tutor-btn-block tutor-btn-outline-primary start-continue-retake-button tutor-course-retake-button" 
								href="<?php echo esc_url( $lesson_url ); ?>"
								data-course_id="<?php echo esc_attr( get_the_ID() ); ?>">
							<?php esc_html_e( 'Retake This Course', 'tutor' ); ?>
						</button>
						<?php
					}


					/**
					 * Start/Continue learning button
					 *
					 * @since 1.0.0
					 * @since 2.4.0 refactored for enhance readibility.
					 */
					$link_text = '';
					if ( ! $is_completed_course ) {
						if ( 0 === (int) $completed_percent ) {
							$link_text = __( 'Start Learning', 'tutor' );
						}
						if ( $completed_percent > 0 && $completed_percent < 100 ) {
							$link_text = __( 'Continue Learning', 'tutor' );
						}

						/**
						 * `Review Progress` link text shown when
						 * - strict mode enabled
						 * - course progress 100%
						 * - in course progress any quiz or assignemnt result is not passed.
						 *
						 * @since 2.4.0
						 */
						if ( 100 === (int) $completed_percent && false === CourseModel::can_complete_course( $course_id, $user_id ) ) {
							$lesson_url = CourseModel::get_review_progress_link( $course_id, $user_id );
							$link_text  = __( 'Review Progress', 'tutor' );
						}
					}

					if ( strlen( $link_text ) > 0 ) {
						?>
						<a 	href="<?php echo esc_url( $lesson_url ); ?>" 
							class="tutor-btn tutor-btn-block tutor-btn-primary tutor-mt-20">
							<?php echo esc_html( $link_text ); ?>
						</a>
						<?php
					}
						$start_content = ob_get_clean();
				}
				echo apply_filters( 'tutor_course/single/start/button', $start_content, get_the_ID() );
				?>

				<?php
				if ( ! $is_completed_course ) {
					ob_start();
					?>
					<form method="post">
						<?php wp_nonce_field( tutor()->nonce_action, tutor()->nonce ); ?>

						<input type="hidden" value="<?php echo esc_attr( get_the_ID() ); ?>" name="course_id" />
						<input type="hidden" value="tutor_complete_course" name="tutor_action" />

						<button type="submit" class="tutor-btn tutor-btn-primary tutor-text-center button product_type_simple" name="complete_course_btn" value="complete_course">
							<?php esc_html_e( 'Complete Course', 'skillate' ); ?>
						</button>
					</form>
					<?php
					echo apply_filters( 'tutor_course/single/complete_form', ob_get_clean() );
				}
				?>
				<?php do_action( 'tutor_course/single/actions_btn_group/before' ); ?>
				<?php do_action( 'tutor_course/single/actions_btn_group/after' ); ?>
			</div>
		</div>
	<?php } ?>
	</div>

</div>

<div class="container tutor-course-preview-thumbnail">
	<?php
	do_action( 'tutor_course/single/before/inner-wrap' );
	$thumb_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'skillate-large' );
	?>
	<style> 
		.tutor-single-lesson-segment .plyr__poster:before {
			<?php if ( ! empty( $thumb_url[0] ) ) : ?>
				background: url(<?php echo esc_url( $thumb_url[0] ); ?>);
			<?php endif; ?>
		}
	</style>
	
	<div class="row">
		<div class="col-sm-12">
			<?php
			if ( tutor_utils()->has_video_in_single() ) {
				tutor_course_video();
			} else {
				get_tutor_course_thumbnail();
			}
			?>
		</div>
	</div>

	<div class="skillate-course-cart-btn <?php echo esc_attr( $rcp_en_class ); ?>">
		<div class="row">
			<div class="col-6">
				<?php
				$product_id = tutor_utils()->get_course_product_id();
				if ( class_exists( 'woocommerce' ) ) {
					$product = wc_get_product( $product_id );
				}
				if ( ! class_exists( 'Easy_Digital_Downloads' ) && class_exists( 'woocommerce' ) && tutor_utils()->is_course_purchasable() ) {
					?>
					<form class="cart" action="<?php echo wc_get_checkout_url(); ?>" method="post" enctype='multipart/form-data'>
						<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" class="course-buy-now"> <?php echo esc_html__( 'Buy Now', 'skillate' ); ?>
						</button>
					</form>
				<?php } ?>

			</div>
			<div class="col-6">
				<?php tutor_course_loop_add_to_cart(); ?>
			</div>
		</div>
	</div>
</div>

<div class="skillate-tab-menu-wrap" data-isSticky="<?php echo esc_attr( $single_course_tab_sticky_menu ); ?>">
	<div class="container">
		<ul class="nav nav-pills single-course-item-tab">
			<li class="nav-item tab current" data-tab="tab-1">
				<a href="#tab-1"><?php echo esc_html__( 'course Topics Content', 'skillate' ); ?></a>
			</li>
			<li class="nav-item tab" data-tab="tab-2">
				<a class="course-content-tab-link" href="#tab-about">
					<?php echo esc_html__( 'About Course', 'skillate' ); ?>
				</a>

				<?php if ( $is_benefits_enabled ) { ?>
					<a class="course-content-tab-link" href="#tab-learn">
						<?php echo esc_html__( 'What to learn', 'skillate' ); ?>
					</a>
				<?php } ?>

				<?php if ( $is_requirement_enabled ) { ?>
					<a class="course-content-tab-link" href="#tab-requirement">
						<?php echo esc_html__( 'Requirement', 'skillate' ); ?>
					</a>
				<?php } ?>
				
				<?php if ( $is_audience_enabled ) { ?>
					<a class="course-content-tab-link" href="#tab-audience">
						<?php echo esc_html__( 'Target Audience', 'skillate' ); ?>
					</a>
				<?php } ?>

				<li class="skillate-popup-opener popup-opener">
					<a href="#" class="popup-btn course-content-tab-link" data-popup-target="skillate-tab-popup-menu-1">
						<?php _e( 'Show more ...', 'skillate' ); ?>
					</a>
					<div id="skillate-tab-popup-menu-1" class="popup-menu">
					   <?php if ( $is_announcement_enabled || $is_privileged_user ) { ?>
							<a class="course-content-tab-link" href="#tab-announcements">
							<?php echo esc_html__( 'Announcements', 'skillate' ); ?>
							</a>
						<?php } ?>

						<?php if ( $is_qna_enabled && $is_enrolled || $is_privileged_user ) { ?>
							<a class="course-content-tab-link" href="#tab-qa">
								<?php echo esc_html__( 'Q&A', 'skillate' ); ?>
							</a>
						<?php } ?>

						<?php if ( $is_enrolled || $is_privileged_user ) { ?>
							<a class="course-content-tab-link" href="#tab-attachments">
								<?php echo esc_html__( 'Attachments', 'skillate' ); ?>
							</a>
						<?php } ?>
						
						<?php if ( $is_instructor_enabled ) { ?>
							<a class="course-content-tab-link" href="#tab-instructor">
								<?php echo esc_html__( 'Instructor', 'skillate' ); ?>
							</a>
						<?php } ?>
						
						<?php if ( $is_review_enabled ) { ?>
							<a class="course-content-tab-link" href="#tab-review">
								<?php echo esc_html__( 'Review', 'skillate' ); ?>
							</a>
						<?php } ?>
					</div>
				</li>
			</li>
		</ul>
	</div>
</div>

<div class="container">
	<div class="row">
		<div class="col-lg-8">
			<div class="skillate-tab-content-wrap">

				<!-- Course Topics -->
				<div id="tab-1" class="skillate-tab-content current">
					<?php tutor_course_topics(); ?>
						<!-- Course Prerequisites -->
					 <?php
						$savedPrerequisitesIDS = maybe_unserialize( get_post_meta( get_the_ID(), '_tutor_course_prerequisites_ids', true ) );
						if ( $savedPrerequisitesIDS ) {
							?>
						<div id="tutor_prereq" class="<?php echo ! is_single_course() || ! is_single() ? 'tutor-quiz-wrapper tutor-d-flex tutor-justify-center tutor-mt-32 tutor-pb-80' : ''; ?>">
							<div class="course-prerequisites-lists-wrap">
								<h3 class="tutor-fs-5 tutor-fw-bold tutor-color-black tutor-mb-24"><?php _e( 'Course Prerequisite(s)', 'tutor-pro' ); ?></h3>
								<ul class="prerequisites-course-lists">
									<li class="prerequisites-warning">
										<span>
											<i class="tutor-icon-warning tutor-color-warning"></i>
										</span>
										<?php _e( 'Please note that this course has the following prerequisites which must be completed before it can be accessed', 'tutor-pro' ); ?>
									</li>
									<?php

									if ( is_array( $savedPrerequisitesIDS ) && count( $savedPrerequisitesIDS ) ) {
										foreach ( $savedPrerequisitesIDS as $courseID ) {
											?>
											<li>
												<a href="<?php echo get_the_permalink( $courseID ); ?>" class="prerequisites-course-item">
													<span class="prerequisites-course-feature-image">
														<?php echo get_the_post_thumbnail( $courseID ); ?>
													</span>

													<span class="prerequisites-course-title">
														<?php echo get_the_title( $courseID ); ?>
													</span>

													<?php
													if ( tutor_utils()->is_completed_course( $courseID ) ) {
														?>
														<div class="is-complete-prerequisites-course"><i class="tutor-icon-mark"></i></div>
														<?php
													}
													?>
												</a>
											</li>
											<?php
										}
									}
									?>
								</ul>
							</div>
						</div>
					<?php } ?>
					<?php do_action( 'tutor_course/single/after/topics', $course_id ); ?>
				</div>

				<!-- Course Contents -->
				<div id="tab-2" class="skillate-tab-content">

					<!-- Course Details -->
					<div id="tab-about" class="tutor-course-content">
						<?php
							do_action( 'tutor_course/single/before/content' );
							tutor_course_content();
							do_action( 'tutor_course/single/after/content' );
						?>
					</div>




					<!-- Course Benefits -->
					<?php if ( $is_benefits_enabled ) { ?>
						<div id="tab-learn" class="clearfix">
							<?php skillate_course_benefits_html(); ?>
						</div>
					<?php } ?>
					
					<!-- Course Requirements -->
					<?php if ( $is_requirement_enabled ) { ?>
						<div id="tab-requirement">
							<?php tutor_course_requirements_html(); ?>
						</div>
					<?php } ?>
					
					<!-- Course Audience -->
					<?php if ( $is_audience_enabled ) { ?>
						<div id="tab-audience">
							<?php tutor_course_target_audience_html(); ?>
						</div>
					<?php } ?>
					
					<!-- Course Instructors -->
					<?php
						$display_course_instructors = tutor_utils()->get_option( 'display_course_instructors' );
					if ( $is_instructor_enabled && $display_course_instructors == 1 ) {
						?>
						<div id="tab-instructor">
							<?php skillate_course_instructor_html(); ?>
						</div>
					<?php } ?>
					
					<!-- Course Announcement -->
					<?php if ( $is_announcement_enabled && $is_enrolled || $is_privileged_user ) { ?>
						<div id="tab-announcements">
							<h3 class="tutor-course-details-widget-title tutor-fs-5 tutor-color-black tutor-fw-bold tutor-mb-16"><?php echo _e( 'Announcements', 'skillate' ); ?></h3>
							<?php tutor_course_announcements(); ?>
						</div>
					<?php } ?>
					
					<!-- Course Attatchment -->
					<?php if ( $is_enrolled || $is_privileged_user ) { ?>
						<div id="tab-attachments">
							<h3 class="tutor-course-details-widget-title tutor-fs-5 tutor-color-black tutor-fw-bold tutor-mb-16"><?php echo _e( 'Attachments', 'skillate' ); ?></h3>
							<?php get_tutor_posts_attachments(); ?>
						</div>
					<?php } ?>
					
					<!-- Course Q&A -->
					<?php if ( $is_qna_enabled && $is_enrolled || $is_privileged_user ) { ?>
						<div id="tab-qa">
							<?php tutor_course_question_and_answer(); ?>
						</div>
					<?php } ?>
					
					<!-- Course Review -->
					<?php if ( $is_review_enabled ) { ?>
						<div id="tab-review">
							<?php tutor_course_target_reviews_html(); ?>
						</div>
					<?php } ?>

					<?php do_action( 'tutor_course/single/after/inner-wrap' ); ?>
				</div>
			</div>
		</div>

		<div class="col-lg-4 t">
		<?php $sidebar_attr = apply_filters( 'tutor_course_details_sidebar_attr', '' ); ?>
		
			<div class="skillate-single-course-sidebar tutor-sidebar-sticky"  <?php echo esc_attr( $sidebar_attr ); ?> >
				<?php

					tutor_load_template( 'single.course.course-entry-box' );

					echo '<hr/>';

				if ( $is_materials_enabled ) {
					tutor_course_material_includes_html();
					echo '<br/>';
				}

				if ( tutor_utils()->get_option( 'enable_course_share', false, true, true ) ) {
					tutor_load_template_from_custom_path( tutor()->path . '/views/course-share.php', array(), false );
				}

				?>
			</div>
		
		</div>
	</div>
</div>
</div>

<?php
// do_action('tutor_course/single/after/wrap');
$related_course_slider = get_theme_mod( 'related_course_slider', true );
if ( $related_course_slider ) {
	get_template_part( 'lib/single-related-post' );
}
get_footer();
