<?php 
    do_action('tutor_course/single/enrolled/before/instructors');
    $instructors = tutor_utils()->get_instructors_by_course();
    if ($instructors) {
?>
<h3 class="tutor-course-details-widget-title tutor-fs-5 tutor-color-black tutor-fw-bold tutor-mb-16"><?php _e('Instructor', 'skillate'); ?></h3>
<div class="tutor-course-instructors-wrap tutor-single-course-segment" id="single-course-ratings">
   <?php
      foreach ($instructors as $instructor) {
          global $authordata;
          
          $profile_url = tutor_utils()->profile_url($instructor->ID, true);
      ?>
   <div class="single-instructor-wrap">
      <div class="row no-gutters">
         <div class="col-lg-4">
            <div class="">
               <a href="<?php echo $profile_url; ?>">
               <?php
                  echo tutor_utils()->get_tutor_avatar($instructor->ID, 'skillate-square');
                  ?>
               </a>
               <div class="ratings">
                  <i class="fas fa-star"></i>
                  <?php
                     $instructor_rating = tutor_utils()->get_instructor_ratings($instructor->ID);
                     echo " <span class='rating-digits'>{$instructor_rating->rating_avg}</span> ";
                     echo " <span class='rating-total-meta'>" . __('/5', 'skillate') . "</span> ";
                     ?>
               </div>
            </div>
         </div>
         <div class="col-lg-8">
            <div class="p-4">
               <div class="instructor-name">
                  <h3>
                     <a href="<?php echo $profile_url; ?>">
                     <?php echo $instructor->display_name; ?>
                     </a>
                  </h3>
               </div>
               <div class="courses">
                  <p>
                     <?php echo tutor_utils()->get_course_count_by_instructor($instructor->ID); ?> <span class="tutor-text-mute"> <?php _e('Courses', 'skillate'); ?></span>
                  </p>
               </div>
               <div class="instructor-bio">
                  <?php echo wp_trim_words($instructor->tutor_profile_bio, 30); ?>
               </div>
               <?php
                  $tutor_user_social_icons = tutor_utils()->tutor_user_social_icons();
                  if (count($tutor_user_social_icons)) {
                ?>
               <div class="single-tutor-social-icons">
                  <?php
                     $i = 0;
                     foreach ($tutor_user_social_icons as $key => $social_icon) {
                         $icon_url = get_user_meta($instructor->ID, $key, true);
                         if ($icon_url) {
                             echo "<a href='" . esc_url($icon_url) . "' target='_blank' class='" . $social_icon['icon_classes'] . "'></a>";
                         }
                         $i++;
                     }
                ?>
               </div>
               <?php } ?>
            </div>
         </div>
      </div>
   </div>
   <?php } ?>
</div>
<?php }
    do_action('tutor_course/single/enrolled/after/instructors'); 
?>